aboutsummaryrefslogtreecommitdiffstats
path: root/main/fish/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-02-05 11:00:53 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-02-06 09:44:46 +0000
commitfbbfbcb5a066e871b3b18c00375db3ff5b348c08 (patch)
tree04b1c8b81a5d29f30d98f9f8216b03e5d0613d8d /main/fish/APKBUILD
parent3e08ca284ea213b46e023f8c42f0c2ef10e99a35 (diff)
downloadaports-fbbfbcb5a066e871b3b18c00375db3ff5b348c08.tar.gz
aports-fbbfbcb5a066e871b3b18c00375db3ff5b348c08.tar.bz2
aports-fbbfbcb5a066e871b3b18c00375db3ff5b348c08.tar.xz
main/fish: upgrade to 2.5.0
-- /usr/share/pkgconfig moved to -dev subpackage /usr/share/fish/man moved to -doc subpackage python-based tools & www-data moved to -tools subpackage
Diffstat (limited to 'main/fish/APKBUILD')
-rw-r--r--main/fish/APKBUILD42
1 files changed, 33 insertions, 9 deletions
diff --git a/main/fish/APKBUILD b/main/fish/APKBUILD
index 5199cd449a..2b2883fca6 100644
--- a/main/fish/APKBUILD
+++ b/main/fish/APKBUILD
@@ -1,20 +1,20 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=fish
-pkgver=2.3.1
+pkgver=2.5.0
pkgrel=0
pkgdesc="a modern interactive commandline shell"
url="http://www.fishshell.com/"
arch="all"
license="GPL2"
depends=""
-depends_dev="ncurses-dev"
-makedepends="$depends_dev libtool doxygen"
+depends_dev="$pkgname-tools"
+makedepends="libtool doxygen ncurses-dev"
install="$pkgname.post-install $pkgname.post-upgrade $pkgname.pre-deinstall"
-subpackages="$pkgname-doc"
-source="https://github.com/fish-shell/fish-shell/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools::noarch"
+source="http://www.fishshell.com/files/$pkgver/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
-builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$builddir"
./configure \
@@ -31,8 +31,32 @@ build() {
package() {
cd "$builddir"
make install DESTDIR="$pkgdir" || return 1
+
+ rm -fr "$pkgdir"/usr/share/$pkgname/groff
+}
+
+dev() {
+ default_dev || return 1
+
+ mkdir -p "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/share/pkgconfig "$subpkgdir"/usr/share
+}
+
+doc() {
+ default_doc || return 1
+
+ mkdir -p "$subpkgdir"/usr/share/$pkgname
+ mv "$pkgdir"/usr/share/$pkgname/man "$subpkgdir"/usr/share/$pkgname
+}
+
+tools() {
+ pkgdesc="$pkgdesc (tools)"
+ depends="$pkgname python"
+
+ mkdir -p "$subpkgdir"/usr/share/$pkgname
+ mv "$pkgdir"/usr/share/$pkgname/tools "$subpkgdir"/usr/share/$pkgname
}
-md5sums="2d13852a5c8e9e5bca00502b93e046a4 fish-2.3.1.tar.gz"
-sha256sums="328acad35d131c94118c1e187ff3689300ba757c4469c8cc1eaa994789b98664 fish-2.3.1.tar.gz"
-sha512sums="dd0fa77f218cc84943c577ff8abafcde92fa953797757a62db317d87c2af82de6493810ce91012e20d46be9a52bffda9a40526328714ba1e4e389e5f2aa3fea5 fish-2.3.1.tar.gz"
+md5sums="14aad053140641c805d8c3f367b98f37 fish-2.5.0.tar.gz"
+sha256sums="f8c0edadca2de379ccf305aeace660a9255fa2180c72e85e97705a24c256b2a5 fish-2.5.0.tar.gz"
+sha512sums="6d94bb70a5f1cefaada4d10ac845992f87c9bfc8c253f38bdfcc3a573a35503d825c9487d2ce8ef3819713594ab7b54ebf6c89fe3362c7010c63dbefc99b424d fish-2.5.0.tar.gz"